﻿{{ header }}{{ column_left }}
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-shipping" data-toggle="tooltip" title="{{ button_save }}" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1>{{ heading_title }}</h1>
            <ul class="breadcrumb">
                {% for breadcrumb in breadcrumbs %}
                    <li><a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a></li>
                {% endfor %}
            </ul>
        </div>
    </div>
    <div class="container-fluid pp">
        {% if success %}
            <div class="alert alert-success">
                <i class="fa fa-check-circle"></i> {{ success }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error %}
            <div class="alert alert-danger">
                <i class="fa fa-exclamation-circle"></i> {{ error }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error_warning %}
            <div class="alert alert-danger">
                <i class="fa fa-exclamation-circle"></i> {{ error_warning }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        <form action="{{ form_action }}" method="post" enctype="multipart/form-data" id="form_pending" class="form-horizontal">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i> {{ text_pending }}</h3>
                </div>
                <div class="panel-body">
                    {% if listaAsteptare.num_rows == 0 %}
                        {{ text_pending_none }}
                    {% else %}
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <td style="width: 1px;" class="text-center"><input type="checkbox" onclick="$('input[name*=\'selected\']').prop('checked', this.checked);" /></td>
                                        <th class="text-left">{{ text_idcomanda }}</th>
                                        <th class="text-left">{{ text_punctridicare }}</th>
                                        <th class="text-left">{{ text_numedestinatar }}</th>
                                        <th class="text-left">{{ text_localitatedestinatar }}</th>
                                        <th class="text-left">{{ text_plicuri }}</th>
                                        <th class="text-left">{{ text_colete }}</th>
                                        <th class="text-left">{{ text_greutate }}</th>
                                        <th class="text-left">{{ text_ramburscash }}</th>
                                        <th class="text-left">{{ text_ramburscont }}</th>
                                        <th class="text-left">{{ text_platitor }}</th>
                                        <td class="text-left" width="50"></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for item in listaAsteptare.rows %}
                                        <tr>
                                            <td><input type="checkbox" name="selected[]" value="{{ item.id }}" /></td>
                                            <td>{{ item.order_id }}</td>
                                            <td>{{ pickups[item.pickup_id].Name ~ ' | ' ~ pickups[item.pickup_id].LocalityName }}</td>
                                            <td>{{ item.name }}</td>
                                            <td>{{ item.locality_name ~ (item.county_name ? ', ' : '') ~ item.county_name }}</td>
                                            <td>{{ item.envelopes }}</td>
                                            <td>{{ item.parcels }}</td>
                                            <td>{{ item.weight }} kg</td>
                                            <td>{{ item.cash_repayment }} lei</td>
                                            <td>{{ item.bank_repayment }} lei</td>
                                            <td>{{ (item.payer == 2) ? text_destinatar : text_expeditor }}</td>
                                            <td class="last">
                                                <a href="{{ item.edit_link }}" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="{{ text_edit }}">
                                                    <i class="fa fa-pencil"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                            <button id="pending_validate" type="button" class="btn btn-primary pull-left"><i class="fa fa-add"></i> {{ text_pending_validate }}</button>
                            <button id="pending_delete" style="margin-left:5px" type="button" class="btn btn-danger pull-left"><i class="fa fa-add"></i> {{ text_pending_delete }}</button>
                            <input id="pending_action" type="hidden" name="action" value="" />
                            <script>
                                $(function(){
                                    $('#pending_validate, #pending_delete').click(function(){
                                        $('#pending_action').val($(this).attr('id'));
                                        $('#form_pending').submit();
                                        return false;
                                    });
                                });
                            </script>
                        </div>
                    {% endif %}
                </div>
            </div>
        </form>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> {{ text_validated }}</h3>
            </div>
            <div class="panel-body">
                <div class="well">
                    <div class="row">
                        <div class="col-sm-4">
                            <form id="form_filter" method="post" action="{{ form_filter_action }}">
                                <div class="form-group" style="margin-left: 0;">
                                    <label class="control-label" for="input-name" style="margin: 0 0 5px 0; padding:0;">{{ text_pickup }}</label>
                                    <select name="LocationId" id="cargus_preferinte_pickup" class="form-control">
                                        {% for pick in pickups %}
                                            {% if pick.LocationId == cargus_preferinte_pickup %}
                                                <option value="{{ pick.LocationId }}" selected="selected">{{ pick.Name ~' | ' ~ pick.LocalityName }}</option>
                                            {% else %}
                                                <option value="{{ pick.LocationId }}">{{ pick.Name ~ ' | ' ~ pick.LocalityName }}</option>
                                            {% endif %}
                                        {% endfor %}
                                    </select>
                                </div>
                                <button type="button" id="button-filter" class="btn btn-primary"><i class="fa fa-search"></i> {{ text_changepickup }}</button>
                            </form>
                            <script>
                                $(function () {
                                    $('#button-filter').click(function () {
                                        $('#form_filter').submit();
                                    });
                                });
                            </script>
                        </div>
                    </div>
                </div>

                <form action="" {{ form_action }} " method="post" enctype="multipart/form-data" id="form_validated" class="form-horizontal">
                {% if listaValidate|length == 0 %}
                    {{ text_validated_none }}
                {% else %}
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <td style="width: 1px;" class="text-center"><input type="checkbox" onclick="$('input[name*=\'awbs\']').prop('checked', this.checked);" /></td>
                                    <th class="text-left">{{ text_idcomanda }}</th>
                                    <th class="text-left">{{ text_codbara }}</th>
                                    <th class="text-left">{{ text_costexpeditie }}</th>
                                    <th class="text-left">{{ text_numedestinatar }}</th>
                                    <th class="text-left">{{ text_localitatedestinatar }}</th>
                                    <th class="text-left">{{ text_plicuri }}</th>
                                    <th class="text-left">{{ text_colete }}</th>
                                    <th class="text-left">{{ text_greutate }}</th>
                                    <th class="text-left">{{ text_ramburscash }}</th>
                                    <th class="text-left">{{ text_ramburscont }}</th>
                                    <th class="text-left">{{ text_platitor }}</th>
                                    <th class="text-left">{{ text_status }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for item in listaValidate %}
                                    <tr>
                                        <td><input type="checkbox" name="awbs[]" value="{{ item.BarCode }}" /></td>
                                        <td>{{ item.CustomString }}</td>
                                        <td>{{ item.BarCode }}</td>
                                        <td>{{ item.ShippingCost.GrandTotal }} lei</td>
                                        <td>{{ item.Recipient.Name }}</td>
                                        <td>{{ item.Recipient.LocalityName ~ ((item.Recipient.CountyName) ? ', ' : '') ~ item.Recipient.CountyName }}</td>
                                        <td>{{ item.Envelopes }}</td>
                                        <td>{{ item.Parcels }}</td>
                                        <td>{{ item.TotalWeight }} kg</td>
                                        <td>{{ item.CashRepayment }} lei</td>
                                        <td>{{ item.BankRepayment }} lei</td>
                                        <td>{{ (item.ShipmentPayer == 2) ? text_destinatar : text_expeditor }}</td>
                                        <td class="last">{{ item.Status }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        <select name="print_format" id="print_format_id" class="form-control" style="width: 90px; float: left; margin-right: 5px;">
                                <option value="0">A4</option>
                                <option value="1">10x14</option>
                        </select>
                        <button url="{{ url_print }}" id="validated_print" type="button" class="btn btn-primary pull-left"><i class="fa fa-add"></i> {{ text_validated_print }}</button>
                        <button url="{{ url_order }}" id="validated_send" style="margin-left:5px" type="button" class="btn btn-primary pull-left"><i class="fa fa-add"></i> {{ text_validated_send }}</button>
                        <button id="validated_invalidate" style="margin-left:5px" type="button" class="btn btn-danger pull-left"><i class="fa fa-add"></i> {{ text_validated_invalidate }}</button>
                        <input id="validated_action" type="hidden" name="action" value="" />
                        <script>
                        $(function(){

                            $('#validated_invalidate').click(function(){
                                $('#validated_action').val($(this).attr('id'));
                                $('#form_validated').submit();
                                return false;
                            });

                            $('#validated_print').click(function(){
                                $('div.alert').remove();
                                var format = $("#print_format_id");

                                var coduri = new Array();
                                $('input[name*=\'awbs\']:checked').each(function(){
                                    coduri.push($(this).val());
                                });
                                if (coduri.length > 0) {
                                    $('.no_awbs_selected').remove();
                                    var coduri_string = '[' + coduri.join(',') + ']';
                                    window.open($(this).attr('url') + "&bar_codes=" + coduri_string + "&format=" + format.val(), "", "width=900, height=600, left=50, top=50");
                                } else {
                                    $('.container-fluid.pp').prepend('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> {{ text_no_selection }} <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                }
                                return false;
                            });

                            $('#validated_send').click(function(){
                                window.open($(this).attr('url'), "", "width=900, height=405, left=50, top=50");
                                return false;
                            });

                        });
                        </script>
                        </div>
                    {% endif %}
                </form>
            </div>
        </div>
    </div>
</div>
{{ footer }}